\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}
\usepackage{tikz}   % Draw technical illustrations inside LaTeX

\begin{document}
\begin{tikzpicture}[x=1.0cm,y=0.5cm]
  \draw[step=1, lightgray, very thin] (-2,-2) grid (4,2);
  \draw [red, thick](-2,0) -- (4,0);
  \draw [red, thick](0,2) -- (0,-2);
  \draw [domain=-1.9:3.9, samples=50, blue] plot (\x, {cos(pi*\x r});
\end{tikzpicture}
\end{document}   
